List Test Groups

View as Markdown
  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /unit-tests
  • /suites
  • /:suite_id
  • /sessions
  • /:session_id
  • /test-groups

Get all test groups for a session

Request

REQUIRED SCOPES
UNIT_TEST_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

suite_idrequiredstring
The ID of the unit test suite

Example: "MNbyVedg"

session_idrequiredstring
The ID of the test session

Example: "r4nBYXVq"

GET PARAMETERS
pageinteger
The number of the successive pages (results are split into pages of per_page elements each).

Example: 1

per_pageinteger
Specifies the number of returned elements on the page. The default value is 20.

Example: 20

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
test_groupsTestGroupView[]

Last modified on Apr 22, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/unit-tests/suites/:suite_id/sessions/:session_id/test-groups" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json"
EXAMPLE RESPONSE
{
  "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/test-groups",
  "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7",
  "test_groups": [
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/test-groups/68f0a5e6b46c1345dfc9bc37",
      "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7",
      "id": "68f0a5e6b46c1345dfc9bc37",
      "name": "com.example.UserServiceTest",
      "time": 0.579,
      "tests_count": 2,
      "failed_count": 1,
      "skipped_count": 0,
      "error_count": 0,
      "status": "FAILED"
    },
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/test-groups/68f0a5e6b46c1345dfc9bc3a",
      "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7",
      "id": "68f0a5e6b46c1345dfc9bc3a",
      "name": "com.example.PaymentServiceTest",
      "time": 0,
      "tests_count": 1,
      "failed_count": 0,
      "skipped_count": 1,
      "error_count": 0,
      "status": "SKIPPED"
    },
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/test-groups/68f0a5d8b46c1345dfc9bbfd",
      "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7",
      "id": "68f0a5d8b46c1345dfc9bbfd",
      "name": "src/components/src/components/form/input.test.tsx",
      "time": 0.061,
      "tests_count": 1,
      "failed_count": 0,
      "skipped_count": 0,
      "error_count": 0,
      "status": "PASSED"
    }
  ]
}
STATUS
200 OK